All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata.dav
Class DAVPackage

    com.sas.services.information.metadata.dav.DAVPackage

All Implemented Interfaces:
  AttributesInterface, DAVEntityInterface, DAVFolderInterface, java.io.Serializable

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public class DAVPackage

Represent a sas result package in the DAV store. The collection contains the SAS package results. The DAV resource has the property `{Constants.NS_PUBLISH_WEBDAV_URI}type` set to `package`

Since:
  1.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.information.metadata.dav.DAVEntity
`_acl, _descAttribute, _fullUrl, _name, _nameAttribute, _objectClass, _properties, _repos, _reposId, _resource, _schemaProperties, aclList, content, hasBeenFetched, LOCAL, UNSET`

Constructor Summary
`DAVPackage(com.sas.services.information.RepositoryData entity)` Creates a new DAVPackage from the information in the entity
`DAVPackage(RepositoryInterface repos, java.lang.String reposId)` Creates a new DAVPackage for the entity with a repository id `reposId` in the repository `repos`

Method Summary
`java.lang.String` | `getAbstract()` Get the "abstract" property using the SASDAV_NAMESPACE namespace.
`java.lang.String` | `getCreationDate()` Get the "creationDateTime" property using the SASDAV_NAMESPACE namespace.
`java.lang.String` | `getCreationDateNumeric()` Get the "creationDateTimeNumeric" property using the SASDAV_NAMESPACE namespace.
`java.lang.String` | `getDescription()` Return the description.
`java.lang.String` | `getExpirationDate()` Get the "expirationDateTime" property using the SASDAV_NAMESPACE namespace.
`java.lang.String` | `getExpirationDateNumeric()` Get the "expirationDateTimeNumeric" property using the SASDAV_NAMESPACE namespace.
`java.lang.String` | `getObjectClass()` Object class is "package".
`java.lang.String` | `getPublisherAlias()` Return the publisher alias information.
`java.lang.String` | `getPublisherURI()` Return the publisher URI.
`java.lang.String` | `getType()` Type is "package".
`java.util.Map` | `getUserProperties()` Get the user properties defined for the package.

Methods inherited from class com.sas.services.information.metadata.dav.DAVFolder
`addEntity, createFolder, createFolder, createItem, createItem, getEntities, getItem, getItems, refresh, refresh, setItems`

Methods inherited from class com.sas.services.information.metadata.dav.DAVEntity
`addAccessControlEntry, addAttribute, addAttributes, addUpdateMultiple, addUpdateSingle, clearLocalLists, commitUpdates, copy, delete, deleteAttribute, deleteAttributes, fetchEntity, getAccessControlList, getACL, getAttribute, getAttributes, getCreateDate, getDAVResource, getFolder, getGUID, getModifyDate, getName, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, isUpdatePending, move, refresh, removeAccessControlEntry, setAccessControls, setACL, setAttribute, setAttributes, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, setRepository, toString, update`

Methods inherited from interface com.sas.services.information.metadata.dav.DAVEntityInterface
`addAccessControlEntry, copy, delete, getAccessControlList, getACL, getCreateDate, getDAVResource, getFolder, getGUID, getModifyDate, getName, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, isUpdatePending, move, refresh, removeAccessControlEntry, setACL, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, update`

Methods inherited from interface com.sas.services.information.metadata.dav.AttributesInterface
`addAttribute, addAttributes, deleteAttribute, deleteAttributes, getAttribute, getAttributes, setAttribute, setAttributes`

Constructor Detail

### DAVPackage

    public DAVPackage(RepositoryInterface repos,
                      java.lang.String reposId)

  Creates a new DAVPackage for the entity with a repository id `reposId` in the repository `repos`

### DAVPackage

    public DAVPackage(com.sas.services.information.RepositoryData entity)

  Creates a new DAVPackage from the information in the entity

Method Detail

### getCreationDate

    public java.lang.String getCreationDate()

  Get the "creationDateTime" property using the SASDAV_NAMESPACE namespace.

  Returns:
    String Creation Date (format ddMMMyyyy:HH:mm:ss)

### getExpirationDate

    public java.lang.String getExpirationDate()

  Get the "expirationDateTime" property using the SASDAV_NAMESPACE namespace.

  Returns:
    String Expiration Date (format ddMMMyyyy:HH:mm:ss)

### getCreationDateNumeric

    public java.lang.String getCreationDateNumeric()

  Get the "creationDateTimeNumeric" property using the SASDAV_NAMESPACE namespace.

  Returns:
    String Creation Date in SAS double format

### getExpirationDateNumeric

    public java.lang.String getExpirationDateNumeric()

  Get the "expirationDateTimeNumeric" property using the SASDAV_NAMESPACE namespace.

  Returns:
    String Expiration Date in SAS double format

### getAbstract

    public java.lang.String getAbstract()

  Get the "abstract" property using the SASDAV_NAMESPACE namespace.

  Returns:
    String Abstract for the package

### getUserProperties

    public java.util.Map getUserProperties()

  Get the user properties defined for the package.

  Returns:
    Map User defined properties for the package

### getObjectClass

    public java.lang.String getObjectClass()

  Object class is "package".

  Overrides:
    `getObjectClass` in class `DAVEntity`
  Returns:
    String The object class for the package

### getType

    public java.lang.String getType()

  Type is "package".

  Specified by:
    `getType` in interface `DAVEntityInterface`
  Overrides:
    `getType` in class `DAVEntity`
  Returns:
    String The type for the package

### getDescription

    public java.lang.String getDescription()

  Return the description. This is stored in the "description" property in the SASDAV_NAMESPACE namespace and not the SASDAV_SCHEMA_NAMESPACE (the default).

  Specified by:
    `getDescription` in interface `DAVEntityInterface`
  Overrides:
    `getDescription` in class `DAVEntity`
  Returns:
    String The package description

### getPublisherURI

    public java.lang.String getPublisherURI()

  Return the publisher URI. This stored in the " publisherURI" property in the SASDAV_NAMESPACE namespace and not the SASDAV_SCHEMA_NAMESPACE (the default).

  Returns:
    String The publisher

### getPublisherAlias

    public java.lang.String getPublisherAlias()

  Return the publisher alias information. This stored in the "publisherAlias" property in the SASDAV_NAMESPACE namespace and not the SASDAV_SCHEMA_NAMESPACE (the default).

  Returns:
    String The publisher

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.